| AI Engine-ML Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Functions
Concatenate two vectors
Vector Conversions » Concatenate vectors

## Overview

## Functions
v256int4 | concat (v128int4 a0, v128int4 a1)
v256uint4 | concat (v128uint4 a0, v128uint4 a1)
v32acc32 | concat (v16acc32 a0, v16acc32 a1)
v32accfloat | concat (v16accfloat a0, v16accfloat a1)
v32bfloat16 | concat (v16bfloat16 a0, v16bfloat16 a1)
v32cbfloat16 | concat (v16cbfloat16 a0, v16cbfloat16 a1)
v32cint16 | concat (v16cint16 a0, v16cint16 a1)
v32float | concat (v16float a0, v16float a1)
v32int16 | concat (v16int16 a0, v16int16 a1)
v32int32 | concat (v16int32 a0, v16int32 a1)
v32int8 | concat (v16int8 v0, v16int8 v1)
v32uint16 | concat (v16uint16 a0, v16uint16 a1)
v32uint32 | concat (v16uint32 a0, v16uint32 a1)
v32uint8 | concat (v16uint8 v0, v16uint8 v1)
v4cacc64 | concat (v2cacc64 a0, v2cacc64 a1)
v4cfloat | concat (v2cfloat v0, v2cfloat v1)
v4cint32 | concat (v2cint32 v0, v2cint32 v1)
v64bfloat16 | concat (v32bfloat16 a0, v32bfloat16 a1)
v64int16 | concat (v32int16 a0, v32int16 a1)
v64int4 | concat (v32int4 v0, v32int4 v1)
v64int8 | concat (v32int8 a0, v32int8 a1)
v64uint16 | concat (v32uint16 a0, v32uint16 a1)
v64uint4 | concat (v32uint4 v0, v32uint4 v1)
v64uint8 | concat (v32uint8 a0, v32uint8 a1)
v8acc64 | concat (v4acc64 a0, v4acc64 a1)
v8cacc64 | concat (v4cacc64 a0, v4cacc64 a1)
v8caccfloat | concat (v4caccfloat a0, v4caccfloat a1)
v8cbfloat16 | concat (v4cbfloat16 v0, v4cbfloat16 v1)
v8cfloat | concat (v4cfloat a0, v4cfloat a1)
v8cint16 | concat (v4cint16 v0, v4cint16 v1)
v8cint32 | concat (v4cint32 a0, v4cint32 a1)
v8float | concat (v4float v0, v4float v1)
v8int32 | concat (v4int32 v0, v4int32 v1)
v8uint32 | concat (v4uint32 v0, v4uint32 v1)
v128int4 | concat (v64int4 a0, v64int4 a1)
v128int8 | concat (v64int8 a0, v64int8 a1)
v128uint4 | concat (v64uint4 a0, v64uint4 a1)
v128uint8 | concat (v64uint8 a0, v64uint8 a1)
v16acc32 | concat (v8acc32 a0, v8acc32 a1)
v16acc64 | concat (v8acc64 a0, v8acc64 a1)
v16accfloat | concat (v8accfloat a0, v8accfloat a1)
v16bfloat16 | concat (v8bfloat16 v0, v8bfloat16 v1)
v16caccfloat | concat (v8caccfloat a0, v8caccfloat a1)
v16cbfloat16 | concat (v8cbfloat16 a0, v8cbfloat16 a1)
v16cfloat | concat (v8cfloat a0, v8cfloat a1)
v16cint16 | concat (v8cint16 a0, v8cint16 a1)
v16cint32 | concat (v8cint32 a0, v8cint32 a1)
v16float | concat (v8float a0, v8float a1)
v16int16 | concat (v8int16 v0, v8int16 v1)
v16int32 | concat (v8int32 a0, v8int32 a1)
v16uint16 | concat (v8uint16 v0, v8uint16 v1)
v16uint32 | concat (v8uint32 a0, v8uint32 a1)

## Function Documentation

## ◆ concat() [1/52]

v256int4 concat | ( | v128int4 | a0,
|  | v128int4 | a1 )

## ◆ concat() [2/52]

v256uint4 concat | ( | v128uint4 | a0,
|  | v128uint4 | a1 )

## ◆ concat() [3/52]

v32acc32 concat | ( | v16acc32 | a0,
|  | v16acc32 | a1 )

## ◆ concat() [4/52]

v32accfloat concat | ( | v16accfloat | a0,
|  | v16accfloat | a1 )

## ◆ concat() [5/52]

v32bfloat16 concat | ( | v16bfloat16 | a0,
|  | v16bfloat16 | a1 )

## ◆ concat() [6/52]

v32cbfloat16 concat | ( | v16cbfloat16 | a0,
|  | v16cbfloat16 | a1 )

## ◆ concat() [7/52]

v32cint16 concat | ( | v16cint16 | a0,
|  | v16cint16 | a1 )

## ◆ concat() [8/52]

v32float concat | ( | v16float | a0,
|  | v16float | a1 )

## ◆ concat() [9/52]

v32int16 concat | ( | v16int16 | a0,
|  | v16int16 | a1 )

## ◆ concat() [10/52]

v32int32 concat | ( | v16int32 | a0,
|  | v16int32 | a1 )

## ◆ concat() [11/52]

v32int8 concat | ( | v16int8 | v0,
|  | v16int8 | v1 )

## ◆ concat() [12/52]

v32uint16 concat | ( | v16uint16 | a0,
|  | v16uint16 | a1 )

## ◆ concat() [13/52]

v32uint32 concat | ( | v16uint32 | a0,
|  | v16uint32 | a1 )

## ◆ concat() [14/52]

v32uint8 concat | ( | v16uint8 | v0,
|  | v16uint8 | v1 )

## ◆ concat() [15/52]

v4cacc64 concat | ( | v2cacc64 | a0,
|  | v2cacc64 | a1 )

## ◆ concat() [16/52]

v4cfloat concat | ( | v2cfloat | v0,
|  | v2cfloat | v1 )

## ◆ concat() [17/52]

v4cint32 concat | ( | v2cint32 | v0,
|  | v2cint32 | v1 )

## ◆ concat() [18/52]

v64bfloat16 concat | ( | v32bfloat16 | a0,
|  | v32bfloat16 | a1 )

## ◆ concat() [19/52]

v64int16 concat | ( | v32int16 | a0,
|  | v32int16 | a1 )

## ◆ concat() [20/52]

v64int4 concat | ( | v32int4 | v0,
|  | v32int4 | v1 )

## ◆ concat() [21/52]

v64int8 concat | ( | v32int8 | a0,
|  | v32int8 | a1 )

## ◆ concat() [22/52]

v64uint16 concat | ( | v32uint16 | a0,
|  | v32uint16 | a1 )

## ◆ concat() [23/52]

v64uint4 concat | ( | v32uint4 | v0,
|  | v32uint4 | v1 )

## ◆ concat() [24/52]

v64uint8 concat | ( | v32uint8 | a0,
|  | v32uint8 | a1 )

## ◆ concat() [25/52]

v8acc64 concat | ( | v4acc64 | a0,
|  | v4acc64 | a1 )

## ◆ concat() [26/52]

v8cacc64 concat | ( | v4cacc64 | a0,
|  | v4cacc64 | a1 )

## ◆ concat() [27/52]

v8caccfloat concat | ( | v4caccfloat | a0,
|  | v4caccfloat | a1 )

## ◆ concat() [28/52]

v8cbfloat16 concat | ( | v4cbfloat16 | v0,
|  | v4cbfloat16 | v1 )

## ◆ concat() [29/52]

v8cfloat concat | ( | v4cfloat | a0,
|  | v4cfloat | a1 )

## ◆ concat() [30/52]

v8cint16 concat | ( | v4cint16 | v0,
|  | v4cint16 | v1 )

## ◆ concat() [31/52]

v8cint32 concat | ( | v4cint32 | a0,
|  | v4cint32 | a1 )

## ◆ concat() [32/52]

v8float concat | ( | v4float | v0,
|  | v4float | v1 )

## ◆ concat() [33/52]

v8int32 concat | ( | v4int32 | v0,
|  | v4int32 | v1 )

## ◆ concat() [34/52]

v8uint32 concat | ( | v4uint32 | v0,
|  | v4uint32 | v1 )

## ◆ concat() [35/52]

v128int4 concat | ( | v64int4 | a0,
|  | v64int4 | a1 )

## ◆ concat() [36/52]

v128int8 concat | ( | v64int8 | a0,
|  | v64int8 | a1 )

## ◆ concat() [37/52]

v128uint4 concat | ( | v64uint4 | a0,
|  | v64uint4 | a1 )

## ◆ concat() [38/52]

v128uint8 concat | ( | v64uint8 | a0,
|  | v64uint8 | a1 )

## ◆ concat() [39/52]

v16acc32 concat | ( | v8acc32 | a0,
|  | v8acc32 | a1 )

## ◆ concat() [40/52]

v16acc64 concat | ( | v8acc64 | a0,
|  | v8acc64 | a1 )

## ◆ concat() [41/52]

v16accfloat concat | ( | v8accfloat | a0,
|  | v8accfloat | a1 )

## ◆ concat() [42/52]

v16bfloat16 concat | ( | v8bfloat16 | v0,
|  | v8bfloat16 | v1 )

## ◆ concat() [43/52]

v16caccfloat concat | ( | v8caccfloat | a0,
|  | v8caccfloat | a1 )

## ◆ concat() [44/52]

v16cbfloat16 concat | ( | v8cbfloat16 | a0,
|  | v8cbfloat16 | a1 )

## ◆ concat() [45/52]

v16cfloat concat | ( | v8cfloat | a0,
|  | v8cfloat | a1 )

## ◆ concat() [46/52]

v16cint16 concat | ( | v8cint16 | a0,
|  | v8cint16 | a1 )

## ◆ concat() [47/52]

v16cint32 concat | ( | v8cint32 | a0,
|  | v8cint32 | a1 )

## ◆ concat() [48/52]

v16float concat | ( | v8float | a0,
|  | v8float | a1 )

## ◆ concat() [49/52]

v16int16 concat | ( | v8int16 | v0,
|  | v8int16 | v1 )

## ◆ concat() [50/52]

v16int32 concat | ( | v8int32 | a0,
|  | v8int32 | a1 )

## ◆ concat() [51/52]

v16uint16 concat | ( | v8uint16 | v0,
|  | v8uint16 | v1 )

## ◆ concat() [52/52]

v16uint32 concat | ( | v8uint32 | a0,
|  | v8uint32 | a1 )